package com.rrd.spring.event.router;

import org.springframework.context.ApplicationEvent;

import com.rrd.spring.event.EventHandler;

/**
 * An API for invoking single-argument methods annotated with the {@link EventHandler} annotation
 *
 * @author eugene_rachitskiy
 */
public interface Invoker {
	/**
	 * Invoke a method using the supplied {@link ApplicationEvent}
	 * @param event an application event
	 */
    public void invoke(ApplicationEvent event);
}
